<?php

if ( !isset( $content_width ) ) {

	$content_width = 2560;

}

/* Include Customizer */
include( 'customizer.php' );
/* */

/* Load Widgets Filter */
if ( !function_exists( 'frida_customLoadWidgets' ) ) {
	function frida_customLoadWidgets() {

		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wp-color-picker' );
		wp_enqueue_script( 'underscore' );

	}
}
add_action( 'load-widgets.php', 'frida_customLoadWidgets' );
/* */

/* Embed Resources */
if ( !function_exists( 'frida_embedResources' ) ) {
	function frida_embedResources() {

		$brnhmbx_site_font =  get_theme_mod( 'brnhmbx_opt_Fonts', 'source' );
		$brnhmbx_site_font_secondary =  get_theme_mod( 'brnhmbx_opt_Fonts_Secondary', 'noto' );
		global $post;

		if ( $brnhmbx_site_font == 'source' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Source+Serif+Pro&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-source', get_template_directory_uri() . '/css/fonts/font-source.css', array(), '', 'all' );

		} else if ( $brnhmbx_site_font == 'roboto' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Roboto&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-roboto', get_template_directory_uri() . '/css/fonts/font-roboto.css', array(), '', 'all' );

		} else if ( $brnhmbx_site_font == 'arimo' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Arimo&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-arimo', get_template_directory_uri() . '/css/fonts/font-arimo.css', array(), '', 'all' );

		} else if ( $brnhmbx_site_font == 'josefin' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Josefin+Sans&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-josefin', get_template_directory_uri() . '/css/fonts/font-josefin.css', array(), '', 'all' );

		} else if ( $brnhmbx_site_font == 'yomogi' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Yomogi&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-yomogi', get_template_directory_uri() . '/css/fonts/font-yomogi.css', array(), '', 'all' );

		} else if ( $brnhmbx_site_font == 'roboto_serif' ) {

			wp_register_style( 'frida-font', '//fonts.googleapis.com/css?family=Roboto+Serif&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-roboto-serif', get_template_directory_uri() . '/css/fonts/font-roboto-serif.css', array(), '', 'all' );

		}

		if ( $brnhmbx_site_font_secondary == 'noto' ) {

			wp_register_style( 'frida-font-secondary', '//fonts.googleapis.com/css?family=Noto+Serif:400,700,400italic&subset=latin,greek-ext' );
			wp_enqueue_style( 'frida-font-noto', get_template_directory_uri() . '/css/fonts/font-noto.css', array('frida-font-' . esc_attr( $brnhmbx_site_font )), '', 'all' );

		} else if ( $brnhmbx_site_font_secondary == 'open' ) {

			wp_register_style( 'frida-font-secondary', '//fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,700,400&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-open', get_template_directory_uri() . '/css/fonts/font-open.css', array('frida-font-' . esc_attr( $brnhmbx_site_font )), '', 'all' );

		} else if ( $brnhmbx_site_font_secondary == 'ubuntu' ) {

			wp_register_style( 'frida-font-secondary', '//fonts.googleapis.com/css?family=Ubuntu:400,700,400italic,700italic&subset=latin,latin-ext' );
			wp_enqueue_style( 'frida-font-ubuntu', get_template_directory_uri() . '/css/fonts/font-ubuntu.css', array('frida-font-' . esc_attr( $brnhmbx_site_font )), '', 'all' );

		}

		wp_enqueue_style( 'reset', get_template_directory_uri() . '/css/reset.css', array('frida-font-' . esc_attr( $brnhmbx_site_font_secondary )) );
		wp_enqueue_style( 'frida-style', get_stylesheet_uri() );
		wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.3.0', 'all' );
		wp_enqueue_style( 'frida-font' );
		wp_enqueue_style( 'frida-font-secondary' );

		if ( !get_theme_mod( 'brnhmbx_upload_Logo' ) ) {

			wp_enqueue_style( 'frida-trocchi', '//fonts.googleapis.com/css?family=Trocchi&subset=latin,latin-ext' );

		}

		if ( !is_page() || has_shortcode( $post->post_content, 'fridaslider' ) ) {

			wp_enqueue_style( 'bxslider', get_template_directory_uri() . '/css/jquery.bxslider.css', array(), '', 'all' );

		}

		wp_enqueue_style( 'frida-responsive', get_template_directory_uri() . '/css/responsive.css', array(), '', 'all' );
		wp_enqueue_style( 'slicknav', get_template_directory_uri() . '/css/slicknav.css', array(), '', 'all' );
		wp_add_inline_style( 'slicknav', frida_rewriteCSS() );

		/* */

		wp_enqueue_script( 'fitvids', get_template_directory_uri() . '/js/jquery.fitvids.js', array( 'jquery' ), '', true );

		if ( !is_page() || has_shortcode( $post->post_content, 'fridaslider' ) ) {

			wp_enqueue_script( 'bxslider', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array( 'jquery' ), '', true );
			wp_enqueue_script( 'frida-burnhambox-bx-js', get_template_directory_uri() . '/js/burnhambox-bx.js', array( 'jquery' ), '', true );

		}

		wp_enqueue_script( 'frida-burnhambox-js', get_template_directory_uri() . '/js/burnhambox.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'slicknav', get_template_directory_uri() . '/js/jquery.slicknav.min.js', array( 'jquery' ), '', true );

		if ( is_page() && get_theme_mod( 'brnhmbx_sh_Map' ) && get_theme_mod( 'brnhmbx_mapPage' ) == get_the_ID() ) {

			if ( get_theme_mod( 'brnhmbx_enableMapKey', 0 ) ) { wp_enqueue_script( 'frida-maps-api', '//maps.googleapis.com/maps/api/js?key=' . esc_attr( get_theme_mod( 'brnhmbx_mapAPI', '' ) ), array(), '', false ); } else { wp_enqueue_script( 'frida-maps-api', '//maps.googleapis.com/maps/api/js', array(), '', false ); }

			wp_enqueue_script( 'frida-maps-js', get_template_directory_uri() . '/js/maps.js', array( 'jquery' ), '', true );

		}

	}
}
add_action( 'wp_enqueue_scripts', 'frida_embedResources' );
/* */

/* Theme setup */
if ( !function_exists( 'frida_themeSetup' ) ) {
	function frida_themeSetup() {

		// Navigation Menu
		register_nav_menus( array(

			'primary' => esc_html__( 'Primary Menu', 'frida' )

		) );

		// If "Crop Images" is set
		$brnhmbx_imageWidth = 1080;
		$brnhmbx_imageHeight = '';
		$brnhmbx_sliderWidth = 1080;
		$brnhmbx_sliderHeight = 500;

		if  ( get_theme_mod( 'brnhmbx_imageWidth' ) ) {

			$brnhmbx_imageWidth = get_theme_mod( 'brnhmbx_imageWidth', 1080 );

		}

		if  ( get_theme_mod( 'brnhmbx_imageHeight' ) ) {

			$brnhmbx_imageHeight = get_theme_mod( 'brnhmbx_imageHeight' );

		}

		if  ( get_theme_mod( 'brnhmbx_sliderWidth' ) ) {

			$brnhmbx_sliderWidth = get_theme_mod( 'brnhmbx_sliderWidth', 1080 );

		}

		if  ( get_theme_mod( 'brnhmbx_sliderHeight' ) ) {

			$brnhmbx_sliderHeight = get_theme_mod( 'brnhmbx_sliderHeight', 500 );

		}

		// Add featured image support. Works for only new added images.
		add_theme_support( 'post-thumbnails' );
		set_post_thumbnail_size( esc_attr( $brnhmbx_imageWidth ), esc_attr( $brnhmbx_imageHeight ), true ); // Featured Image
		add_image_size( 'slider-image', esc_attr( $brnhmbx_sliderWidth ), esc_attr( $brnhmbx_sliderHeight ), true); // Slider Images
		add_image_size( 'related-thumbnail', 600, 400, true); // Related Posts Thumbnails
		add_image_size( 'recent-thumbnails', 88, 60, true); // Recent Posts Thumbnails

		// Add post type support
		add_theme_support( 'post-formats', array( 'gallery', 'video', 'aside', 'link' ) );

		// Add automatic feed links support
		add_theme_support( 'automatic-feed-links' );

		// Add title-tag support
		add_theme_support( 'title-tag' );

		// Add text-domain
		load_theme_textdomain( 'frida', get_template_directory() . '/languages ');

	}
}
add_action( 'after_setup_theme', 'frida_themeSetup' );
/* */

/* Find all galleries and make them slider. */
if ( !function_exists( 'frida_galleryToSlider' ) ) {
	function frida_galleryToSlider( $content ) {

	 	global $post;

		// Make sure the post format is gallery
		if ( !has_post_format( 'gallery' ) )
			return $content;

	 	// Make sure the post has a gallery in it
		if ( !has_shortcode($post->post_content, 'gallery' ) )
			return $content;

	 	// Retrieve the galleries in the post
	 	$galleries = get_post_galleries_images( $post );

		$image_list = '<ul class="bxslider">';

		// Loop through all galleries found
		foreach( $galleries as $gallery ) {

			// Loop through each image in each gallery
			foreach( $gallery as $image_url ) {

				$image_list .= '<li>' . '<img alt="theme-img-alt" src="' . esc_url( $image_url ) . '">' . '</li>';

			}

		}

		$image_list .= '</ul>';

		return $image_list;

	}
}
/* */

/* Get the first image of the post/gallery */
if ( !function_exists( 'frida_getTheFirstImage' ) ) {
	function frida_getTheFirstImage() {

		global $post;

		$image_list = '';
		$first_img = '';
		$firstBo = true;
		ob_start();
		ob_end_clean();

		// Retrieve the galleries in the post
	 	$galleries = get_post_galleries_images( $post );

		// Check if has a gallery
		if ( $galleries ) {

			// Loop through all galleries found
			foreach( $galleries as $gallery ) {

				// Loop through each image in each gallery
				foreach( $gallery as $image_url ) {

					$image_list = $image_url;

					if ( $firstBo ) {

						$first_img = $image_list;
						$firstBo = false;

					}

				}

			}

			if ( empty( $first_img ) ) {

				$first_img = 'none';

			}

			return $first_img;

		} else {

			// Has no gallery, check if has an image
			$output = preg_match_all( '/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches );

			if ( $output ) {

				$first_img = $matches[1][0];

			} else {

				$first_img = 'none';

			}

			return $first_img;

		}

	}
}
/* */

/* Clear White Space */
if ( !function_exists( 'frida_compress' ) ) {
	function frida_compress( $buffer ) {

		$buffer = preg_replace( '~>\s+<~', '><', $buffer );
		return $buffer;

	}
}
/* */

/* Content Filter */
if ( !function_exists( 'frida_filterContent' ) ) {
	function frida_filterContent( $content ) {

	 	global $post;

		// Add bxslider-vid class to iframes to make the videos responsive in posts
		$content = preg_replace( array( '{<iframe}', '{</iframe>}' ), array( '<ul class="bxslider-vid"><li><iframe', '</iframe></li></ul>' ), $content );

		return $content;

	}
}
add_filter( 'the_content', 'frida_filterContent' );
/* */

/* Add responsive container to embeds for wordpress.tv */
if ( !function_exists( 'frida_embed_html' ) ) {
	function frida_embed_html( $html ) {

		$html = preg_replace( array( '{<embed src="//v.wordpress}', '{wmode="transparent">}' ), array( '<div class="video-container"><embed src="//v.wordpress', 'wmode="transparent"></div>' ), $html );

	    return $html;

	}
}
add_filter( 'embed_oembed_html', 'frida_embed_html', 10, 3 );
/* */

/* Find all videos and make them slider */
if ( !function_exists( 'frida_videoToSlider' ) ) {
	function frida_videoToSlider() {

		global $post;

		$result = '';
		ob_start();
		ob_end_clean();
		$output = preg_match_all( '/\[embed(.*)](.*)\[\/embed]/', $post->post_content, $matches );

		// Make sure the post has a video in it
		if ( $output ) {

			$result = '<ul class="bxslider bxslider-vid">';

			// Replace/remove/add necessary things for Vimeo and YouTube
			for( $i = 0; $i < $output; $i++ ) {

				$result .= '<li>' . preg_replace( array( '/\[embed]/', '/\[\/embed]/', '{https://vimeo.com}', '{watch?.*?v=}', '/&#.*? /' ), array( '<iframe style="border: none;" src="', ' " width="500" height="281" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>', '//player.vimeo.com/video', 'embed/', '?enablejsapi=1' ), esc_attr( $matches[0][$i] ) ) . '</li>';

			}

			$result .= '</ul>';

		} else {

			$result = 'none';

		}

		return $result;

	}
}
/* */

/* Remove embed and gallery tags */
if ( !function_exists( 'frida_clearEmbeds' ) ) {
	function frida_clearEmbeds() {

		$replaceEmbeddedVideo = '/\<ul class="bxslider-vid"(.*)\<\/ul>/';

		$result = preg_replace(
			array( $replaceEmbeddedVideo ),
			array( '' ),
			frida_formatGetTheContent() );

		return $result;

	}
}
/* */

/* Formatting the content like "the_content" while using "get_the_content" */
if ( !function_exists( 'frida_formatGetTheContent' ) ) {
	function frida_formatGetTheContent( $more_link_text = null, $stripteaser = false ) {

		$content = get_the_content( $more_link_text, $stripteaser );
		$content = apply_filters( 'the_content', $content );
		return $content;

	}
}
/* */

/* Set "Read More" button */
if ( !function_exists( 'frida_setMoreButton' ) ) {
	function frida_setMoreButton() {

		global $post;

		if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

			if( !strstr( $post->post_content, '<!--more-->' ) ) {

				return '...<br /><div class="btnReadMore"><a href="'. esc_url( get_permalink( get_the_ID() ) ) . '">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'Read More' ) ) . ' <i class="fa fa-chevron-right i-spcr-l"></i></a></div>';

			}

		}

	}
}
add_filter( 'excerpt_more', 'frida_setMoreButton' );
/* */

/* Append "Read More" button */
if ( !function_exists( 'frida_appendMoreButton' ) ) {
	function frida_appendMoreButton() {

		global $post;

		if ( get_theme_mod( 'brnhmbx_sh_Excerpt', 1 ) ) {

			if( strstr( $post->post_content, '<!--more-->' ) ) {

				$excerpt = the_excerpt();

				if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

					echo wp_kses_post( $excerpt ) . '<div class="btnReadMore"><a href="'. esc_url( get_permalink() ) .'">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'Read More' ) ) . ' <i class="fa fa-chevron-right i-spcr-l"></i></a></div>';

				}

			} else {

				if ( $post->post_excerpt ) {

					$excerpt = the_excerpt();

					if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

						echo wp_kses_post( $excerpt ) . '<div class="btnReadMore"><a href="'. esc_url( get_permalink() ) .'">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'Read More' ) ) . ' <i class="fa fa-chevron-right i-spcr-l"></i></a></div>';

					} else {

						echo wp_kses_post( $excerpt );

					}

				} else {

					the_excerpt();

				}

			}

		}

	}
}
/* */

/* Apply layout options */
if ( !function_exists( 'frida_applyLayout' ) ) {
	function frida_applyLayout() {

		/* Radio Default Values */
		$brnhmbx_opt_Layout = get_theme_mod( 'brnhmbx_opt_Layout', '1col_sidebar' );
		$brnhmbx_opt_Layout_Archive = get_theme_mod( 'brnhmbx_opt_Layout_Archive', '1col_sidebar' );
		/* */

		$layout = '';

		if ( is_single() ) {

			if ( !is_attachment() ) {

				if ( ( get_post_format() == '' || get_post_format() == 'aside' || get_post_format() == 'link' ) && get_theme_mod( 'brnhmbx_sh_SidebarPost_Standard', 1 ) ) {

					// Show sidebar at standard posts
					$layout = '-sidebar';

				} else if ( get_post_format() == 'gallery' && get_theme_mod( 'brnhmbx_sh_SidebarPost_Gallery', 1 ) ) {

					// Show sidebar at gallery posts
					$layout = '-sidebar';

				} else if ( get_post_format() == 'video' && get_theme_mod( 'brnhmbx_sh_SidebarPost_Video', 1 ) ) {

					// Show sidebar at video posts
					$layout = '-sidebar';

				}

			}

		} else if ( is_category() || is_author() || is_tag() || is_archive() || is_search() ) {

			if ( $brnhmbx_opt_Layout_Archive == '1col' ) {

				// No sidebar
				$layout = '';

			} else if ( $brnhmbx_opt_Layout_Archive == '2col' ) {

				// 2 columns //-c(olumn)c(ount)2
				$layout = '-cc2';

			} else if ( $brnhmbx_opt_Layout_Archive == '3col' ) {

				// 3 columns //-c(olumn)c(ount)3
				$layout = '-cc3';

			} else if ( $brnhmbx_opt_Layout_Archive == '1col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar';

			} else if ( $brnhmbx_opt_Layout_Archive == '2col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar-cc2';

			}

		} else if ( is_page() ) {

			if ( get_theme_mod( 'brnhmbx_sh_SidebarInnerPage', 1 ) ) {

				// Show sidebar at inner pages
				$layout = '-sidebar';

			}

		} else if ( is_404() ) {

			$layout = '';

		} else {

			if ( $brnhmbx_opt_Layout == '1col' ) {

				// No sidebar
				$layout = '';

			} else if ( $brnhmbx_opt_Layout == '2col' ) {

				// 2 columns //-c(olumn)c(ount)2
				$layout = '-cc2';

			} else if ( $brnhmbx_opt_Layout == '3col' ) {

				// 3 columns //-c(olumn)c(ount)3
				$layout = '-cc3';

			} else if ( $brnhmbx_opt_Layout == '1col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar';

			} else if ( $brnhmbx_opt_Layout == '2col_sidebar' ) {

				// Columns + Sidebar
				$layout = '-sidebar-cc2';

			}

		}

		return $layout;

	}
}
/* */

/* Apply column options */
if ( !function_exists( 'frida_applyColumns' ) ) {
	function frida_applyColumns() {

		/* Radio Default Values */
		$brnhmbx_opt_Layout = get_theme_mod( 'brnhmbx_opt_Layout', '1col_sidebar' );
		$brnhmbx_opt_Layout_Archive = get_theme_mod( 'brnhmbx_opt_Layout_Archive', '1col_sidebar' );
		/* */

		$column = '';

		if ( is_category() || is_author() || is_tag() || is_archive() || is_search() ) {

			if ( $brnhmbx_opt_Layout_Archive == '1col' ) {

				// No sidebar
				$column = '';

			} else if ( $brnhmbx_opt_Layout_Archive == '2col' ) {

				// 2 Columns (No sidebar)
				$column = 'col-1-2';

			} else if ( $brnhmbx_opt_Layout_Archive == '3col' ) {

				// 3 Columns (No sidebar)
				$column = 'col-1-3';

			} else if ( $brnhmbx_opt_Layout_Archive == '1col_sidebar' ) {

				// 1 Column + Sidebar
				$column = '';

			} else if ( $brnhmbx_opt_Layout_Archive == '2col_sidebar' ) {

				// 2 Columns + Sidebar
				$column = 'col-1-2-sidebar';

			}

		} else {

			if ( $brnhmbx_opt_Layout == '1col' ) {

				// No sidebar
				$column = '';

			} else if ( $brnhmbx_opt_Layout == '2col' ) {

				// 2 Columns (No sidebar)
				$column = 'col-1-2';

			} else if ( $brnhmbx_opt_Layout == '3col' ) {

				// 3 Columns (No sidebar)
				$column = 'col-1-3';

			} else if ( $brnhmbx_opt_Layout == '1col_sidebar' ) {

				// 1 Column + Sidebar
				$column = '';

			} else if ( $brnhmbx_opt_Layout == '2col_sidebar' ) {

				// 2 Columns + Sidebar
				$column = 'col-1-2-sidebar';

			}

		}

		return $column;

	}
}
/* */

if ( !function_exists( 'frida_ourWidgetsInit' ) ) {
	function frida_ourWidgetsInit() {

		/* Get footer widgets column number */
		$fw_col_number = '';

		if ( !get_theme_mod( 'brnhmbx_use3ColFooter', 1 ) ) {

			$fw_col_number = '-col2';

		}
		/* */

		// Add Widget Areas
		register_sidebar( array(
			'name' => 'Sidebar',
			'id' => 'brnhmbx_sidebar_right',
			'before_widget' => '<div class="widget-item"><div class="widget-content fs14 noto-serif">',
			'before_title' => '<h2 class="widget-title liner source-serif chief-hdr"><span>',
			'after_title' => '</span></h2>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Archive',
			'id' => 'brnhmbx_sidebar_archive',
			'before_widget' => '<div class="widget-item"><div class="widget-content fs14 noto-serif">',
			'before_title' => '<h2 class="widget-title liner source-serif chief-hdr"><span>',
			'after_title' => '</span></h2>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Page',
			'id' => 'brnhmbx_sidebar_page',
			'before_widget' => '<div class="widget-item"><div class="widget-content fs14 noto-serif">',
			'before_title' => '<h2 class="widget-title liner source-serif chief-hdr"><span>',
			'after_title' => '</span></h2>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Sidebar - Post',
			'id' => 'brnhmbx_sidebar_post',
			'before_widget' => '<div class="widget-item"><div class="widget-content fs14 noto-serif">',
			'before_title' => '<h2 class="widget-title liner source-serif chief-hdr"><span>',
			'after_title' => '</span></h2>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Footer Widgets',
			'id' => 'brnhmbx_footer_widgets',
			'before_widget' => '<div class="widget-item-footer-outer' . esc_attr( $fw_col_number ) . '"><div class="widget-item-footer clearfix"><div class="widget-content fs14 noto-serif">',
			'before_title' => '<h2 class="widget-title liner source-serif chief-hdr"><span>',
			'after_title' => '</span></h2>',
			'after_widget' => '</div></div></div>',
		) );

	}
}
add_action( 'widgets_init', 'frida_ourWidgetsInit' );

/* HEX to RGB */
if ( !function_exists( 'frida_hex2rgb' ) ) {
	function frida_hex2rgb( $hex ) {

		$hex = str_replace( '#', '', $hex );

		if ( strlen( $hex ) == 3 ) {

			$r = hexdec( substr( $hex, 0, 1 ).substr( $hex, 0, 1 ) );
			$g = hexdec( substr( $hex, 1, 1).substr( $hex, 1, 1 ) );
			$b = hexdec( substr( $hex, 2, 1).substr( $hex, 2, 1 ) );

		} else {

			$r = hexdec( substr( $hex, 0, 2 ) );
			$g = hexdec( substr( $hex, 2, 2 ) );
			$b = hexdec( substr( $hex, 4, 2 ) );

		}

		$rgb = array( $r, $g, $b );
		return implode( ',', $rgb ); // returns the rgb values separated by commas

	}
}
/* */

/* Place Slider */
if ( !function_exists( 'frida_placeSlider' ) ) {
	function frida_placeSlider() {

		$sliderShortcode = get_theme_mod( 'brnhmbx_sliderShortcode', '' );

		if ( $sliderShortcode ) {

			if ( is_home() ) {

				if ( get_theme_mod( 'brnhmbx_opt_SliderHomeView', 'home-all' ) == 'home-all' ) {

					echo do_shortcode( esc_attr( $sliderShortcode ) );

				} else if ( get_theme_mod( 'brnhmbx_opt_SliderHomeView', 'home-all' ) == 'home-front' && get_query_var( 'paged' ) <= 1 ) {

					echo do_shortcode( esc_attr( $sliderShortcode ) );

				} else if ( get_theme_mod( 'brnhmbx_opt_SliderHomeView', 'home-all' ) == 'home-hide' ) {

					//Hide Slider

				}

			}

			if ( is_archive() && get_theme_mod( 'brnhmbx_sh_SliderArchive', 0 ) ) {

				echo do_shortcode( esc_attr( $sliderShortcode ) );

			}

			if ( is_single() && get_theme_mod( 'brnhmbx_sh_SliderPost', 0 ) ) {

				echo do_shortcode( esc_attr( $sliderShortcode ) );

			}

		}

	}
}
/* */


/* Customize tag cloud widget */
if ( !function_exists( 'frida_customTagCloud' ) ) {
	function frida_customTagCloud( $args ) {

		$args['number'] = 0; //adding a 0 will display all tags
		$args['largest'] = 14; //largest tag
		$args['smallest'] = 14; //smallest tag
		$args['unit'] = 'px'; //tag font unit
		$args['format'] = 'list'; //ul with a class of wp-tag-cloud
		$args['exclude'] = array(); //exclude tags by ID
		return $args;

	}
}
add_filter( 'widget_tag_cloud_args', 'frida_customTagCloud' );
/* */

/* Social Icons */
if ( !function_exists( 'frida_placeSocialIcons' ) ) {
	function frida_placeSocialIcons() {

		$brnhmbx_social_accounts = array(
			get_theme_mod( 'brnhmbx_social_Facebook' ),
			get_theme_mod( 'brnhmbx_social_Twitter' ),
			get_theme_mod( 'brnhmbx_social_Instagram' ),
			get_theme_mod( 'brnhmbx_social_Pinterest' ),
			get_theme_mod( 'brnhmbx_social_Google' ),
			get_theme_mod( 'brnhmbx_social_Tumblr' ),
			get_theme_mod( 'brnhmbx_social_Flickr' ),
			get_theme_mod( 'brnhmbx_social_Digg' ),
			get_theme_mod( 'brnhmbx_social_LinkedIn' ),
			get_theme_mod( 'brnhmbx_social_Vimeo' ),
			get_theme_mod( 'brnhmbx_social_YouTube' ),
			get_theme_mod( 'brnhmbx_social_Behance' ),
			get_theme_mod( 'brnhmbx_social_Dribble' ),
			get_theme_mod( 'brnhmbx_social_DeviantArt' ),
			get_theme_mod( 'brnhmbx_social_Github' ),
			get_theme_mod( 'brnhmbx_social_Bloglovin' ),
			get_theme_mod( 'brnhmbx_social_Lastfm' ),
			get_theme_mod( 'brnhmbx_social_SoundCloud' ),
			get_theme_mod( 'brnhmbx_social_VK' )
		);

		$brnhmbx_social_faIcons = array(
			'fa-facebook-square',
			'fa-twitter',
			'fa-instagram',
			'fa-pinterest',
			'fa-google-plus-square',
			'fa-tumblr-square',
			'fa-flickr',
			'fa-digg',
			'fa-linkedin',
			'fa-vimeo-square',
			'fa-youtube',
			'fa-behance-square',
			'fa-dribbble',
			'fa-deviantart',
			'fa-github-square',
			'fa-heart',
			'fa-lastfm',
			'fa-soundcloud',
			'fa-vk'
		);

		$brnhmbx_social_show = false;
		$brnhmbx_social_html = '<div class="fs26 social-accounts clearfix">';

		foreach ( $brnhmbx_social_accounts as $key => $sa ) {

			if ( $sa != 'http://' && $sa != '' ) {

				$brnhmbx_social_show = true;
				$brnhmbx_social_html .= '<a class="invis social-icon-touch" href="'. esc_url( $sa ) .'" target="_blank"><i class="fa '. esc_attr( $brnhmbx_social_faIcons[$key] ) . '"></i></a>';

			}

		}

		$brnhmbx_social_html .= '</div>';

		if ( !$brnhmbx_social_show || !get_theme_mod( 'brnhmbx_sh_SocialAccounts', 1 ) ) { $brnhmbx_social_html = ''; }

		return $brnhmbx_social_html;

	}
}
/* */

/* Include the TGM_Plugin_Activation class. */
require_once get_template_directory() . '/lib/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'frida_register_required_plugins' );

if ( !function_exists( 'frida_register_required_plugins' ) ) {
	function frida_register_required_plugins() {

	    $plugins = array(

			array(
				'name' => 'Frida Components',
				'slug' => 'frida-components',
				'source' => get_template_directory() . '/lib/plugins/frida-components.zip',
				'required' => false,
			),

			array(
				'name' => 'Burnhambox - Frida Slider',
				'slug' => 'brnhmbx-frida-slider',
				'source' => get_template_directory() . '/lib/plugins/brnhmbx-frida-slider.zip',
				'required' => false,
			),

			array(
				'name' => 'Instagram Feed',
				'slug' => 'instagram-feed',
				'required' => false
			),

			array(
				'name'      => 'Contact Form 7',
				'slug'      => 'contact-form-7',
				'required'  => false
			),

			array(
				'name' => 'Widget Importer & Exporter',
				'slug' => 'widget-importer-exporter',
				'required' => false
			),

	    );

			$config = array(
				'id'           => 'frida',
				'default_path' => '',
				'menu'         => 'tgmpa-install-plugins',
				'has_notices'  => true,
				'dismissable'  => true,
				'dismiss_msg'  => '',
				'is_automatic' => false,
				'message'      => '',

			);

	    tgmpa( $plugins, $config );

	}
}
/* */

/* Output Customize CSS */
if ( !function_exists( 'frida_rewriteCSS' ) ) {
function frida_rewriteCSS() {

		$frida_css = '

		#googleMap { height: ' . esc_attr( get_theme_mod( 'brnhmbx_mapHeight', 500 ) ) . 'px; }

		';

		/* Site Colors */

		$frida_css .= '

		a,
		a:visited,
		.textwidget a,
		.textwidget a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Link', '#000' ) ) . '; }
		a:hover,
		.textwidget a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_LinkHover', '#1c7791' ) ) . '; }
		input,
		textarea,
		select { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputBackground', '#e9e9e9' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputText', '#777' ) ) . '; }
		.filter-bar,
		abbr,
		pre { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputBackground', '#e9e9e9' ) ) . '; }
		.chief-hdr,
		.filter-bar-content,
		.page-with-no-image { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Header', '#555' ) ) . '; }
		.liner span:before,
		.liner span:after { border-bottom-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Liner', '#CCC' ) ) . '; }
		table,
		th,
		td,
		pre { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Liner', '#CCC' ) ) . '; }
		.post-date,
		.recent-post-date,
		.recent-comment-date { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_SubHeader', '#777' ) ) . '; }
		body,
		.textwidget,
		.wp-tag-cloud { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Content', '#444' ) ) . '; }
		.site-nav li ul,
		.site-s-nav li ul,
		.nav-container .menu li ul,
		.nav-s-container .menu li ul { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_MenuLevel', '#aad3d9' ) ) . '; }
		.slicknav_menu { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Menu_Background', '#9bc2c8' ) ) . '; }
		.text-over-image { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_TextOverImage', '#FFF' ) ) . '; }

		#wp-calendar { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputBackground', '#e9e9e9' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_Content', '#444' ) ) . '; }
		#wp-calendar caption { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputBackground', '#e9e9e9' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_InputText', '#777' ) ) . '; }
		#wp-calendar tfoot td#prev a:hover,
		#wp-calendar tfoot td#next a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Site_LinkHover', '#1c7791' ) ) . '; }

		.logo-text a,
		.logo-text a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Logo', '#000' ) ) . '; }
		body { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Background', '#ddd7c7' ) ) . '; }
		.slicknav_menu .slicknav_icon-bar { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink', '#FFF' ) ) . '; }
		.btn-to-top { display: ';
		if ( !get_theme_mod( 'brnhmbx_sh_btnToTop', 1 ) ) { $frida_css .= 'none'; }
		$frida_css .= '; }
		.top-bar { height: ' . esc_attr( get_theme_mod( 'brnhmbx_topBarHeight', '180' ) ) . 'px; }

		';

		if ( get_theme_mod( 'brnhmbx_opt_GalleryPos_Gallery', 'content' ) == 'iof' && has_post_format( 'gallery' ) ) {

			$frida_css .= '

			.gallery,
			.tiled-gallery,
			.jetpack-slideshow { display: none; }

			';

		}

		$frida_css .= '

		.nav-container a,
		.nav-container a:visited,
		.nav-s-container a,
		.nav-s-container a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink', '#FFF' ) ) . '; }
		.nav-container a:hover,
		.nav-s-container a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink_Hover', '#5ea8b3' ) ) . '; }
		.nav-container-outer { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Menu_Background', '#9bc2c8' ) ) . '; border-top-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink_Hover', '#29747f' ) ) . '; }
		.slicknav_menu a,
		.slicknav_menu a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink', '#FFF' ) ) . '; }
		.slicknav_menu a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_MenuLink_Hover', '#5ea8b3' ) ) . '; }

		';

		if ( get_theme_mod( 'brnhmbx_sh_SidebarPadding', 1 ) ) {

			$frida_css .= '

			.widget-item { padding-left: 40px; margin-left: -20px; }

			';

		}

		if ( get_theme_mod( 'brnhmbx_sh_ZigZag', 1 ) ) {

			$frida_css .= '

			.zig-zag:after {
				background: linear-gradient(-45deg, ' . esc_attr( get_theme_mod( 'brnhmbx_color_Background', '#ddd7c7' ) ) . ' 12px, transparent 0), linear-gradient(45deg, ' . esc_attr( get_theme_mod( 'brnhmbx_color_Background', '#ddd7c7' ) ) . ' 12px, transparent 0);
				background-position: left-bottom;
				background-repeat: repeat-x;
				background-size: 24px 24px;
				content: " ";
				display: block;
				bottom: 0px;
				left: 0px;
				width: 100%;
				height: 24px;
			}

			.zig-zag-f:before {
				background: linear-gradient(-135deg, ' . esc_attr( get_theme_mod( 'brnhmbx_color_Background', '#ddd7c7' ) ) . ' 6px, transparent 0), linear-gradient(135deg, ' . esc_attr( get_theme_mod( 'brnhmbx_color_Background', '#ddd7c7' ) ) . ' 6px, transparent 0);
				background-position: left-bottom;
				background-repeat: repeat-x;
				background-size: 12px 12px;
				content: " ";
				display: block;
				bottom: 0px;
				left: 0px;
				width: 100%;
				height: 12px;
			}

			';

		}

		$frida_css .= '

		.sidebar { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Sidebar_Background', '#FFF' ) ) . '; }
		.footer-outer { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Background', '#b9af94' ) ) . '; }
		.footer-text { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }
		.site-footer a { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Link', '#FFF' ) ) . '; }
		.site-footer a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Link_Hover', '#7a453d' ) ) . '; }

		';

		/* Post Formats */

		$brnhmbx_color_Standard_Background = get_theme_mod( 'brnhmbx_color_Standard_Background', '#FFF' );
		$brnhmbx_color_Standard_Border = get_theme_mod( 'brnhmbx_color_Standard_Border', '#CCC' );
		$brnhmbx_borderWidth_Standard = get_theme_mod( 'brnhmbx_borderWidth_Standard', '0' );
		$brnhmbx_color_Standard_DCB = get_theme_mod( 'brnhmbx_color_Standard_DCB', '#777' );
		$brnhmbx_color_Standard_Header = get_theme_mod( 'brnhmbx_color_Standard_Header', '#555' );
		$brnhmbx_color_Standard_Liner = get_theme_mod( 'brnhmbx_color_Standard_Liner', '#CCC' );
		$brnhmbx_color_Standard_Content = get_theme_mod( 'brnhmbx_color_Standard_Content', '#444' );
		$brnhmbx_color_Standard_Social = get_theme_mod( 'brnhmbx_color_Standard_Social', '#CCC' );
		$brnhmbx_color_Standard_LinkB = get_theme_mod( 'brnhmbx_color_Standard_LinkB', '#1c7791' );
		$brnhmbx_color_Standard_InputBackground = get_theme_mod( 'brnhmbx_color_Standard_InputBackground', '#e9e9e9' );
		$brnhmbx_color_Standard_InputText = get_theme_mod( 'brnhmbx_color_Standard_InputText', '#777' );

		if ( !get_theme_mod( 'brnhmbx_keep_Gallery', 0 ) ) {

			$brnhmbx_color_Gallery_Background = get_theme_mod( 'brnhmbx_color_Gallery_Background', '#FFF' );
			$brnhmbx_color_Gallery_Border = get_theme_mod( 'brnhmbx_color_Gallery_Border', '#CCC' );
			$brnhmbx_borderWidth_Gallery = get_theme_mod( 'brnhmbx_borderWidth_Gallery', '0' );
			$brnhmbx_color_Gallery_DCB = get_theme_mod( 'brnhmbx_color_Gallery_DCB', '#777' );
			$brnhmbx_color_Gallery_Header = get_theme_mod( 'brnhmbx_color_Gallery_Header', '#555' );
			$brnhmbx_color_Gallery_Liner = get_theme_mod( 'brnhmbx_color_Gallery_Liner', '#CCC' );
			$brnhmbx_color_Gallery_Content = get_theme_mod( 'brnhmbx_color_Gallery_Content', '#444' );
			$brnhmbx_color_Gallery_Social = get_theme_mod( 'brnhmbx_color_Gallery_Social', '#CCC' );
			$brnhmbx_color_Gallery_LinkB = get_theme_mod( 'brnhmbx_color_Gallery_LinkB', '#1c7791' );
			$brnhmbx_color_Gallery_InputBackground = get_theme_mod( 'brnhmbx_color_Gallery_InputBackground', '#e9e9e9' );
			$brnhmbx_color_Gallery_InputText = get_theme_mod( 'brnhmbx_color_Gallery_InputText', '#777' );

		} else {

			$brnhmbx_color_Gallery_Background = $brnhmbx_color_Standard_Background;
			$brnhmbx_color_Gallery_Border = $brnhmbx_color_Standard_Border;
			$brnhmbx_borderWidth_Gallery = $brnhmbx_borderWidth_Standard;
			$brnhmbx_color_Gallery_DCB = $brnhmbx_color_Standard_DCB;
			$brnhmbx_color_Gallery_Header = $brnhmbx_color_Standard_Header;
			$brnhmbx_color_Gallery_Liner = $brnhmbx_color_Standard_Liner;
			$brnhmbx_color_Gallery_Content = $brnhmbx_color_Standard_Content;
			$brnhmbx_color_Gallery_Social = $brnhmbx_color_Standard_Social;
			$brnhmbx_color_Gallery_LinkB = $brnhmbx_color_Standard_LinkB;
			$brnhmbx_color_Gallery_InputBackground = $brnhmbx_color_Standard_InputBackground;
			$brnhmbx_color_Gallery_InputText = $brnhmbx_color_Standard_InputText;

		}

		if ( !get_theme_mod( 'brnhmbx_keep_Video', 0 ) ) {

			$brnhmbx_color_Video_Background = get_theme_mod( 'brnhmbx_color_Video_Background', '#FFF' );
			$brnhmbx_color_Video_Border = get_theme_mod( 'brnhmbx_color_Video_Border', '#CCC' );
			$brnhmbx_borderWidth_Video = get_theme_mod( 'brnhmbx_borderWidth_Video', '0' );
			$brnhmbx_color_Video_DCB = get_theme_mod( 'brnhmbx_color_Video_DCB', '#777' );
			$brnhmbx_color_Video_Header = get_theme_mod( 'brnhmbx_color_Video_Header', '#555' );
			$brnhmbx_color_Video_Liner = get_theme_mod( 'brnhmbx_color_Video_Liner', '#CCC' );
			$brnhmbx_color_Video_Content = get_theme_mod( 'brnhmbx_color_Video_Content', '#444' );
			$brnhmbx_color_Video_Social = get_theme_mod( 'brnhmbx_color_Video_Social', '#CCC' );
			$brnhmbx_color_Video_LinkB = get_theme_mod( 'brnhmbx_color_Video_LinkB', '#1c7791' );
			$brnhmbx_color_Video_InputBackground = get_theme_mod( 'brnhmbx_color_Video_InputBackground', '#e9e9e9' );
			$brnhmbx_color_Video_InputText = get_theme_mod( 'brnhmbx_color_Video_InputText', '#777' );

		} else {

			$brnhmbx_color_Video_Background = $brnhmbx_color_Standard_Background;
			$brnhmbx_color_Video_Border = $brnhmbx_color_Standard_Border;
			$brnhmbx_borderWidth_Video = $brnhmbx_borderWidth_Standard;
			$brnhmbx_color_Video_DCB = $brnhmbx_color_Standard_DCB;
			$brnhmbx_color_Video_Header = $brnhmbx_color_Standard_Header;
			$brnhmbx_color_Video_Liner = $brnhmbx_color_Standard_Liner;
			$brnhmbx_color_Video_Content = $brnhmbx_color_Standard_Content;
			$brnhmbx_color_Video_Social = $brnhmbx_color_Standard_Social;
			$brnhmbx_color_Video_LinkB = $brnhmbx_color_Standard_LinkB;
			$brnhmbx_color_Video_InputBackground = $brnhmbx_color_Standard_InputBackground;
			$brnhmbx_color_Video_InputText = $brnhmbx_color_Standard_InputText;

		}

		if ( !get_theme_mod( 'brnhmbx_keep_Aside', 0 ) ) {

			$brnhmbx_color_Aside_Background = get_theme_mod( 'brnhmbx_color_Aside_Background', '#FFF' );
			$brnhmbx_color_Aside_Border = get_theme_mod( 'brnhmbx_color_Aside_Border', '#CCC' );
			$brnhmbx_borderWidth_Aside = get_theme_mod( 'brnhmbx_borderWidth_Aside', '0' );
			$brnhmbx_color_Aside_DCB = get_theme_mod( 'brnhmbx_color_Aside_DCB', '#777' );
			$brnhmbx_color_Aside_Content = get_theme_mod( 'brnhmbx_color_Aside_Content', '#444' );
			$brnhmbx_color_Aside_Social = get_theme_mod( 'brnhmbx_color_Aside_Social', '#CCC' );
			$brnhmbx_color_Aside_LinkB = get_theme_mod( 'brnhmbx_color_Aside_LinkB', '#1c7791' );
			$brnhmbx_color_Aside_InputBackground = get_theme_mod( 'brnhmbx_color_Aside_InputBackground', '#e9e9e9' );
			$brnhmbx_color_Aside_InputText = get_theme_mod( 'brnhmbx_color_Aside_InputText', '#777' );

		} else {

			$brnhmbx_color_Aside_Background = $brnhmbx_color_Standard_Background;
			$brnhmbx_color_Aside_Border = $brnhmbx_color_Standard_Border;
			$brnhmbx_borderWidth_Aside = $brnhmbx_borderWidth_Standard;
			$brnhmbx_color_Aside_DCB = $brnhmbx_color_Standard_DCB;
			$brnhmbx_color_Aside_Content = $brnhmbx_color_Standard_Content;
			$brnhmbx_color_Aside_Social = $brnhmbx_color_Standard_Social;
			$brnhmbx_color_Aside_LinkB = $brnhmbx_color_Standard_LinkB;
			$brnhmbx_color_Aside_InputBackground = $brnhmbx_color_Standard_InputBackground;
			$brnhmbx_color_Aside_InputText = $brnhmbx_color_Standard_InputText;

		}

		if ( !get_theme_mod( 'brnhmbx_keep_Link', 0 ) ) {

			$brnhmbx_color_Link_Background = get_theme_mod( 'brnhmbx_color_Link_Background', '#FFF' );
			$brnhmbx_color_Link_Border = get_theme_mod( 'brnhmbx_color_Link_Border', '#CCC' );
			$brnhmbx_borderWidth_Link = get_theme_mod( 'brnhmbx_borderWidth_Link', '0' );
			$brnhmbx_color_Link_DCB = get_theme_mod( 'brnhmbx_color_Link_DCB', '#777' );
			$brnhmbx_color_Link_Header = get_theme_mod( 'brnhmbx_color_Link_Header', '#555' );
			$brnhmbx_color_Link_Liner = get_theme_mod( 'brnhmbx_color_Link_Liner', '#CCC' );
			$brnhmbx_color_Link_Social = get_theme_mod( 'brnhmbx_color_Link_Social', '#CCC' );
			$brnhmbx_color_Link_LinkB = get_theme_mod( 'brnhmbx_color_Link_LinkB', '#1c7791' );

		} else {

			$brnhmbx_color_Link_Background = $brnhmbx_color_Standard_Background;
			$brnhmbx_color_Link_Border = $brnhmbx_color_Standard_Border;
			$brnhmbx_borderWidth_Link = $brnhmbx_borderWidth_Standard;
			$brnhmbx_color_Link_DCB = $brnhmbx_color_Standard_DCB;
			$brnhmbx_color_Link_Header = $brnhmbx_color_Standard_Header;
			$brnhmbx_color_Link_Liner = $brnhmbx_color_Standard_Liner;
			$brnhmbx_color_Link_Social = $brnhmbx_color_Standard_Social;
			$brnhmbx_color_Link_LinkB = $brnhmbx_color_Standard_LinkB;

		}

		$frida_css .= '

		article.post { background-color: ' . esc_attr( $brnhmbx_color_Standard_Background ) . '; border-color: ' . esc_attr( $brnhmbx_color_Standard_Border ) . '; border-width: ' . esc_attr( $brnhmbx_borderWidth_Standard ) . 'px; }
		article.post .date-bar,
		article.post .tag-bar,
		article.post .paging-bar,
		article.post .category-bar,
		article.post blockquote,
		.wpcf7-form-control-wrap span,
		.wpcf7-response-output,
		.wpcf7-mail-sent-ok { color: ' . esc_attr( $brnhmbx_color_Standard_DCB ) . '; }
		article.post .chief-hdr,
		article.post .chief-hdr a { color: ' . esc_attr( $brnhmbx_color_Standard_Header ) . '; }
		article.post .liner span:before,
		article.post .liner span:after { border-bottom-color: ' . esc_attr( $brnhmbx_color_Standard_Liner ) . '; }
		article.post .btnReadMore a { border-color: ' . esc_attr( $brnhmbx_color_Standard_Liner ) . '; }

		article.post div.the-content { color: ' . esc_attr( $brnhmbx_color_Standard_Content ) . '; }
		article.post .social-bar a { color: ' . esc_attr( $brnhmbx_color_Standard_Social ) . '; }
		article.post blockquote { border-left-color: ' . esc_attr( $brnhmbx_color_Standard_LinkB ) . '; }
		article.post .the-content a,
		article.post .date-bar a,
		article.post .tag-bar a,
		article.post .paging-bar a,
		article.post .category-bar a,
		.ico-send,
		var,
		.wpcf7-form .wpcf7-submit { color: ' . esc_attr( $brnhmbx_color_Standard_LinkB ) . '; }
		article.post input,
		article.post textarea,
		article.post select { background-color: ' . esc_attr( $brnhmbx_color_Standard_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Standard_InputText ) . '; }
		article.post hr { background-color: ' . esc_attr( $brnhmbx_color_Standard_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Standard_InputBackground ) . '; }
		article.post a.date-a { color: ' . esc_attr( $brnhmbx_color_Standard_DCB ) . '; }

		article.post-gallery { background-color: ' . esc_attr( $brnhmbx_color_Gallery_Background ) . '; border-color: ' . esc_attr( $brnhmbx_color_Gallery_Border ) . '; border-width: ' . esc_attr( $brnhmbx_borderWidth_Gallery ) . 'px; }
		article.post-gallery .date-bar,
		article.post-gallery .tag-bar,
		article.post-gallery .paging-bar,
		article.post-gallery .category-bar,
		article.post-gallery blockquote { color: ' . esc_attr( $brnhmbx_color_Gallery_DCB ) . '; }
		article.post-gallery .chief-hdr,
		article.post-gallery .chief-hdr a { color: ' . esc_attr( $brnhmbx_color_Gallery_Header ) . '; }
		article.post-gallery .liner span:before,
		article.post-gallery .liner span:after { border-bottom-color: ' . esc_attr( $brnhmbx_color_Gallery_Liner ) . '; }
		article.post-gallery .btnReadMore a { border-color: ' . esc_attr( $brnhmbx_color_Gallery_Liner ) . '; }

		article.post-gallery div.the-content { color: ' . esc_attr( $brnhmbx_color_Gallery_Content ) . '; }
		article.post-gallery .social-bar a { color: ' . esc_attr( $brnhmbx_color_Gallery_Social ) . '; }
		article.post-gallery blockquote { border-left-color: ' . esc_attr( $brnhmbx_color_Gallery_LinkB ) . '; }
		article.post-gallery .the-content a,
		article.post-gallery .date-bar a,
		article.post-gallery .tag-bar a,
		article.post-gallery .paging-bar a,
		article.post-gallery .category-bar a { color: ' . esc_attr( $brnhmbx_color_Gallery_LinkB ) . '; }
		article.post-gallery input,
		article.post-gallery textarea,
		article.post-gallery select { background-color: ' . esc_attr( $brnhmbx_color_Gallery_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Gallery_InputText ) . '; }
		article.post-gallery hr { background-color: ' . esc_attr( $brnhmbx_color_Gallery_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Gallery_InputBackground ) . '; }
		article.post-gallery a.date-a { color: ' . esc_attr( $brnhmbx_color_Gallery_DCB ) . '; }

		article.post-video { background-color: ' . esc_attr( $brnhmbx_color_Video_Background ) . '; border-color: ' . esc_attr( $brnhmbx_color_Video_Border ) . '; border-width: ' . esc_attr( $brnhmbx_borderWidth_Video ) . 'px; }
		article.post-video .date-bar,
		article.post-video .tag-bar,
		article.post-video .paging-bar,
		article.post-video .category-bar,
		article.post-video blockquote { color: ' . esc_attr( $brnhmbx_color_Video_DCB ) . '; }
		article.post-video .chief-hdr,
		article.post-video .chief-hdr a { color: ' . esc_attr( $brnhmbx_color_Video_Header ) . '; }
		article.post-video .liner span:before,
		article.post-video .liner span:after { border-bottom-color: ' . esc_attr( $brnhmbx_color_Video_Liner ) . '; }
		article.post-video .btnReadMore a { border-color: ' . esc_attr( $brnhmbx_color_Video_Liner ) . '; }

		article.post-video div.the-content { color: ' . esc_attr( $brnhmbx_color_Video_Content ) . '; }
		article.post-video .social-bar a { color: ' . esc_attr( $brnhmbx_color_Video_Social ) . '; }
		article.post-video blockquote { border-left-color: ' . esc_attr( $brnhmbx_color_Video_LinkB ) . '; }
		article.post-video .the-content a,
		article.post-video .date-bar a,
		article.post-video .tag-bar a,
		article.post-video .paging-bar a,
		article.post-video .category-bar a { color: ' . esc_attr( $brnhmbx_color_Video_LinkB ) . '; }
		article.post-video input,
		article.post-video textarea,
		article.post-video select { background-color: ' . esc_attr( $brnhmbx_color_Video_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Video_InputText ) . '; }
		article.post-video hr { background-color: ' . esc_attr( $brnhmbx_color_Video_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Video_InputBackground ) . '; }
		article.post-video a.date-a { color: ' . esc_attr( $brnhmbx_color_Video_DCB ) . '; }

		article.post-aside { background-color: ' . esc_attr( $brnhmbx_color_Aside_Background ) . '; border-color: ' . esc_attr( $brnhmbx_color_Aside_Border ) . '; border-width: ' . esc_attr( $brnhmbx_borderWidth_Aside ) . 'px; }
		article.post-aside .date-bar,
		article.post-aside .tag-bar,
		article.post-aside .paging-bar,
		article.post-aside .category-bar,
		article.post-aside blockquote { color: ' . esc_attr( $brnhmbx_color_Aside_DCB ) . '; }
		article.post-aside div.the-content { color: ' . esc_attr( $brnhmbx_color_Aside_Content ) . '; }
		article.post-aside .social-bar a { color: ' . esc_attr( $brnhmbx_color_Aside_Social ) . '; }
		article.post-aside blockquote { border-left-color: ' . esc_attr( $brnhmbx_color_Aside_LinkB ) . '; }
		article.post-aside .the-content a,
		article.post-aside .date-bar a,
		article.post-aside .tag-bar a,
		article.post-aside .paging-bar a,
		article.post-aside .category-bar a { color: ' . esc_attr( $brnhmbx_color_Aside_LinkB ) . '; }
		article.post-aside input,
		article.post-aside textarea,
		article.post-aside select { background-color: ' . esc_attr( $brnhmbx_color_Aside_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Aside_InputText ) . '; }
		article.post-aside hr { background-color: ' . esc_attr( $brnhmbx_color_Aside_InputBackground ) . '; color: ' . esc_attr( $brnhmbx_color_Aside_InputBackground ) . '; }
		article.post-aside a.date-a { color: ' . esc_attr( $brnhmbx_color_Aside_DCB ) . '; }

		article.post-link { background-color: ' . esc_attr( $brnhmbx_color_Link_Background ) . '; border-color: ' . esc_attr( $brnhmbx_color_Link_Border ) . '; border-width: ' . esc_attr( $brnhmbx_borderWidth_Link ) . 'px; }
		article.post-link .date-bar,
		article.post-link .tag-bar,
		article.post-link .paging-bar,
		article.post-link .category-bar { color: ' . esc_attr( $brnhmbx_color_Link_DCB ) . '; }
		article.post-link .chief-hdr,
		article.post-link .chief-hdr a { color: ' . esc_attr( $brnhmbx_color_Link_Header ) . '; }
		article.post-link .liner span:before,
		article.post-link .liner span:after { border-bottom-color: ' . esc_attr( $brnhmbx_color_Link_Liner ) . '; }
		article.post-link .btnReadMore a { border-color: ' . esc_attr( $brnhmbx_color_Link_Liner ) . '; }
		article.post-link .social-bar a { color: ' . esc_attr( $brnhmbx_color_Link_Social ) . '; }
		article.post-link .date-bar a,
		article.post-link .tag-bar a,
		article.post-link .paging-bar a,
		article.post-link .category-bar a { color: ' . esc_attr( $brnhmbx_color_Link_LinkB ) . '; }
		article.post-link a.date-a { color: ' . esc_attr( $brnhmbx_color_Link_DCB ) . '; }

		';

		/* Related Posts & Post Comments */

		$frida_css .= '

		.comments-container,
		.related-posts-container { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_Background', '#FFF' ) ) . '; }
		.comments { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_Content', '#444' ) ) . '; }
		.comment-reply-title,
		.comments .chief-hdr,
		.comment-author-name,
		.comment-input-hdr,
		.related-posts .chief-hdr { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_Header', '#555' ) ) . '; }
		.comments .liner span:before,
		.comments .liner span:after,
		.related-posts .liner span:before,
		.related-posts .liner span:after { border-bottom-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_Liner', '#CCC' ) ) . '; }
		.form-submit .submit,
		.ico-post,
		.comments a,
		.comments a:visited,
		.related-posts a,
		.related-posts a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_Link', '#555' ) ) . '; }
		.comments-paging .page-numbers.current,
		.comment-date,
		.comment-awaiting,
		.must-log-in,
		.logged-in-as { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_DPL', '#777' ) ) . '; }
		.comments input,
		.comments textarea,
		.comments select { background-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_InputBackground', '#e9e9e9' ) ) . '; color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_RPPC_InputText', '#777' ) ) . '; }

		';

			if ( !get_theme_mod( 'brnhmbx_sh_Liners', 1 ) ) {

				$frida_css .= '

				.liner span:before, .liner span:after { border-bottom: 0px; }

				';

			}

			if ( get_theme_mod( 'brnhmbx_upload_Background' ) ) {

				$frida_css .= '

				body { background: url(' . esc_url( get_theme_mod( 'brnhmbx_upload_Background' ) ) . ')';
				if ( get_theme_mod( 'brnhmbx_centerBackground', 1 ) ) { $frida_css .= ' top;'; }
				if ( !get_theme_mod( 'brnhmbx_centerBackground' ) ) { $frida_css .= ' ' . esc_attr( get_theme_mod( 'brnhmbx_repeatBackground', 'no-repeat' ) ); }
				$frida_css .= '; }';

			}

			if ( get_theme_mod( 'brnhmbx_opt_PageWidth', 1080 ) == '1080' ) {

				$frida_css .= '

				.main-container-outer { max-width: 1120px; }

				';

			}

			if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'right' || get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'right-full' ) {

				$frida_css .= '

				.logo-container { display: table-cell; text-align: left; }
				.site-nav,
				.nav-container .menu { padding-left: 40px; }
				.site-nav li:last-child a,
				.site-s-nav li:last-child a,
				.nav-container .menu li:last-child a,
				.nav-s-container .menu li:last-child a { margin-right: 0px; }
				.social-accounts { margin: 5px 0 0 30px; }

				.site-s-nav,
				.nav-s-container .menu { padding-left: 0px; }
				.nav-s-container { display: inline-block; width: auto; }

				@media all and (min-width: 400px) {

					.top-bar-outer { padding: 0 20px 0 20px; }
					.nav-s-container { height: 20px; padding-top: 7px; }

				}

				';

				if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'right' ) {

					$frida_css .= '

					.top-bar-outer { max-width: 1120px; }

					';

				}

			} else if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'center' ) {

				if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-full' || get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-fixed' ) {

					$frida_css .= '

					.top-bar-outer { margin: 0; padding: 0; }
					.site-header img { width: 100%; }

					.site-container-inner,
					.site-container-inner-sidebar,
					.site-container-inner-sidebar-cc2,
					.site-container-inner-cc2 { max-width: 100%; }

					@media all and (min-width: 1000px) {

						.site-container-inner-cc3 { max-width: 100%; }

					}

					';

				} else if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner' ) {

					$frida_css .= '

					.site-header img { width: 100%; }

					';

				}

				$frida_css .= '

				.logo-container { display: block; text-align: center; padding-bottom: 0px; }
				.nav-container,
				.nav-s-container { padding-bottom: 0px; }
				.site-nav,
				.site-s-nav,
				.nav-container .menu,
				.nav-s-container .menu { padding-left: 0px; }
				.site-nav li:last-child a,
				.site-s-nav li:last-child a,
				.nav-container .menu li:last-child a,
				.nav-s-container .menu li:last-child a { margin-right: 14px; }
				.social-accounts { margin: 5px 0 0 15px; }

				@media all and (min-width: 400px) {

				';

					if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-full' || get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-fixed' ) {

						$frida_css .= '

						.top-bar-outer { margin: 0; padding: 0; }

						';

					} else if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'no-banner' ) {

						$frida_css .= '

						.top-bar-outer { padding: 0 20px 0 20px; }
						.nav-container { height: 80px; padding-top: 25px; }

						';

					} else {

						$frida_css .= '

						.top-bar-outer { padding: 0 20px 0 20px; }

						';

					}

					$frida_css .= '

					.nav-s-container { height: 20px; padding-top: 7px; }

				}

				@media all and (min-width: 1000px) {

					.logo-container { padding-bottom: ' . esc_attr( get_theme_mod( 'brnhmbx_logoPaddingBottom', '40' ) ) . 'px; }

					.nav-container,
					.nav-s-container { display: inline-block; width: auto; }
					.nav-container-outer { margin-bottom: ' . esc_attr( get_theme_mod( 'brnhmbx_menuPaddingBottom', '40' ) ) . 'px; }

					';

					if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) != 'no-banner' ) {

						$frida_css .= '

						.nav-container,
						.nav-s-container { margin-bottom: ' . esc_attr( get_theme_mod( 'brnhmbx_menuPaddingBottom', '40' ) ) . 'px; }

						';

					} else {

						$frida_css .= '

						.top-bar-outer { margin: 0; padding: 0; }

						';

					}

				$frida_css .= '}';

		}

		/* Slider Colors */

		$frida_css .= '

		.slider-caption { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Sli_Caption', '#FFF' ) ) . '; }
		.slider-button a,
		article.post .slider-button a,
		.slider-button a:visited,
		article.post .slider-button a:visited { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BT', '#FFF' ) ) . '; }
		.slider-button,
		article.post .slider-button { border-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BT', '#FFF' ) ) . '; }
		.slide-info-inner { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Sli_Header', '#FFF' ) ) . '; }
		.slide-text { background: rgba(' . esc_attr( frida_hex2rgb( get_theme_mod( 'brnhmbx_color_Sli_Box', '#699b89' ) ) ) . ',' . esc_attr( get_theme_mod( 'brnhmbx_rng_Sli_Box', '90' ) / 100 ) . '); }

		';

		if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '320' ) {

			$frida_css .= '

			@media all and (min-width: 320px) { .frida-slider-container { display: block; } }

			';

		} else if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '480' ) {

			$frida_css .= '

			@media all and (min-width: 480px) { .frida-slider-container { display: block; } }

			';

		} else if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '640' ) {

			$frida_css .= '

			@media all and (min-width: 640px) { .frida-slider-container { display: block; } }

			';

		} else {

			$frida_css .= '

			.frida-slider-container { display: block; }

			';

		}

		/* Footer Widgets */

		$frida_css .= '

		.footer-widget-area,
		.widget-item-footer .textwidget,
		.widget-item-footer .wp-tag-cloud { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }

		.widget-item-footer #wp-calendar { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }
		.widget-item-footer #wp-calendar tfoot td#prev a:hover,
		.widget-item-footer #wp-calendar tfoot td#next a:hover { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Link_Hover', '#7a453d' ) ) . '; }

		.widget-item-footer .post-date,
		.widget-item-footer .recent-post-date,
		.widget-item-footer .recent-comment-date { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }

		.widget-item-footer .chief-hdr { color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }
		.widget-item-footer .liner span:before,
		.widget-item-footer .liner span:after { border-bottom-color: ' . esc_attr( get_theme_mod( 'brnhmbx_color_Footer_Content', '#ddd7c7' ) ) . '; }

		';

		$frida_css .= esc_attr( get_theme_mod( 'brnhmbx_text_CSS' ) );

    return $frida_css;

	}
}
/* */

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328598&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        