<?php

/*
Plugin Name: Frida Components
Plugin URI: http://www.burnhambox.com/frida
Description: Components for Frida theme.
Version: 1.0.2
Author: Burnhambox
Author URI: http://www.burnhambox.com
License: GNU
*/

/* Share Icons */
if ( !function_exists( 'frida_shortcode_share' ) ) {
  function frida_shortcode_share( $atts ) {

    $output = '';

    $a = shortcode_atts( array(
        'ID' => '0',
    ), $atts );

    if ( $a['ID'] == '' ) { $a['ID'] = 0; }

    //

    $brnhmbx_sh_SocialBar = get_theme_mod( 'brnhmbx_sh_SocialBar', 1 );
    $brnhmbx_sh_btnComments = get_theme_mod( 'brnhmbx_sh_btnComments', 1 );

    if ( $brnhmbx_sh_SocialBar || $brnhmbx_sh_btnComments ) {

    	$output .= '<div class="social-bar fs20">';

    	if ( $brnhmbx_sh_SocialBar ) {

    		$output .= '<a href="https://www.facebook.com/sharer/sharer.php?u=' . esc_url( get_permalink( $a['ID'] ) ) . '" target="_blank"><i class="fa fa-facebook"></i></a>';
    		$output .= '<a href="https://twitter.com/share?url=' . esc_url( get_permalink( $a['ID'] ) ) . '" target="_blank"><i class="fa fa-twitter"></i></a>';
    		$output .= '<a href="https://plus.google.com/share?url=' . esc_url( get_permalink( $a['ID'] ) ) . '" target="_blank"><i class="fa fa-google-plus"></i></a>';

    	}

    	if ( $brnhmbx_sh_btnComments && comments_open() ) {

    		$output .= '<a href="' . esc_url( get_permalink( $a['ID'] ) ) . '#comments"><i class="fa fa-comments-o"></i></a>';

    	}

      $output .= '</div>';

    }

    return $output;

  }
}
add_shortcode( 'frida_share', 'frida_shortcode_share' );
/* */

/* frida_customcustomCatPostsWidget Class */
class frida_customcustomCatPostsWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customcustomCatPostsWidget',
			'Frida Widget: Category/Tag Posts'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		$defaults = array( 'name' => 'Category Posts', 'count' => 5, 'date' => 'on', 'category' => 'uncategorized', 'tag' => '', 'show_cats' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

        <p>Write a Category Slug:<br />
        <p><input id="get-dropdown-val-cat" name="<?php echo esc_attr( $this->get_field_name( 'category' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['category'] ); ?>" /></p>
        <p><strong>OR</strong></p><p>Write a Tag Slug:<br />
        <p><input id="get-dropdown-val-tag" name="<?php echo esc_attr( $this->get_field_name( 'tag' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['tag'] ); ?>" /></p>
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['show_cats'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'show_cats' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'show_cats' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'show_cats' ) ); ?>">Show Categories</label>
		</p>
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" /></p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'Category Posts';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];
		$instance['category'] = $new_instance['category'];
		$instance['tag'] = $new_instance['tag'];
		$instance['show_cats'] = $new_instance['show_cats'];

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		extract( $args );

		echo wp_kses_post( $before_widget ); //Widget starts to print information

		$defaults = array( 'name' => 'Category Posts', 'count' => 5, 'date' => 'on', 'category' => 'uncategorized', 'tag' => '', 'show_cats' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';
		$category = $instance['category'];
		$tag = $instance['tag'];
		$show_cats = $instance['show_cats'] ? 'true' : 'false';

		if ( !empty( $name ) ) {

			echo wp_kses_post( $before_title ) . esc_attr( $name ) . wp_kses_post( $after_title );

			/* function */

			if ( $show_cats == 'true' ) {

				$loop_args = array(

					'showposts' => esc_attr( $count ),
					'category_name' => $category,
					'ignore_sticky_posts' => 1

				);

			} else {

				$loop_args = array(

					'showposts' => esc_attr( $count ),
					'tag' => $tag,
					'ignore_sticky_posts' => 1

				);

			}

			$rPosts = new WP_Query( $loop_args );

			while ( $rPosts->have_posts() ) : $rPosts->the_post();

			?>

				<div class="recent-post-item">
                	<?php if ( has_post_thumbnail() ) { ?><div class="recent-post-img"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail( 'recent-thumbnails' ); ?></a></div><?php } ?>
					<div class="recent-post-hdr">
                    	<a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a><br />
                    	<?php if ( $date == 'true' ) { ?><span class="recent-post-date"><?php echo get_the_date(); ?></span><?php } ?>
					</div>
				</div>

			<?php endwhile;

			wp_reset_postdata();

			/* */

		}

		echo wp_kses_post( $after_widget ); //Widget ends printing information

	}

}
/* */

/** frida_customPopularPostsWidget **/
class frida_customPopularPostsWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customPopularPostsWidget',
			'Frida Widget: Popular Posts'

		);
	}

	function form( $instance ) {

		$defaults = array( 'name' => 'Popular Posts', 'count' => 5, 'date' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'name' ) ); ?>">Title:</label>
		<input id="<?php echo esc_attr( $this->get_field_id( 'name' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" />
		</p>

		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'count' ) ); ?>">Number of posts to show:</label>
		<input id="<?php echo esc_attr( $this->get_field_id( 'count' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" size="3" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" />
		</p>

         <p>
		<input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>

		<?php
	}

	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'Popular Posts';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];

		return $instance;

	}

	// Limit to last 30 days
	function filter_where( $where = '' ) {

		$where .= " AND post_date > '" . date( 'Y-m-d', strtotime( '-' . 30 .' days' ) ) . "'";
		return $where;

	}

	function widget( $args, $instance ) {

		extract( $args );

		echo wp_kses_post( $before_widget ); //Widget starts to print information

		$defaults = array( 'name' => 'Popular Posts', 'count' => 5, 'date' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';

		if ( !empty( $name ) ) {

			echo wp_kses_post( $before_title ) . esc_attr( $name ) . wp_kses_post( $after_title );

			/* function */

			$loop_args = array(

				'posts_per_page' => esc_attr( $count ),
				'orderby' => 'comment_count',
				'ignore_sticky_posts' => 1

			);

			add_filter( 'posts_where', array( $this, 'filter_where' ) );
			$loop = new WP_Query( $loop_args );
			remove_filter( 'posts_where', array( $this, 'filter_where' ) );

			if ( $loop->have_posts() ):
				while( $loop->have_posts() ): $loop->the_post(); global $post;

			?>

				<div class="recent-post-item">
					<?php if ( has_post_thumbnail() ) { ?><div class="recent-post-img"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail( 'recent-thumbnails' ); ?></a></div><?php } ?>
					<div class="recent-post-hdr">
						<a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a><br />
						<?php if ( $date == 'true' ) { ?><span class="recent-post-date"><?php echo get_the_date(); ?></span><?php } ?>
					</div>
				</div>

			<?php endwhile;

			endif;

		}

		wp_reset_postdata();

		/**/

		echo wp_kses_post( $after_widget ); //Widget ends printing information

	}

}
/**/

/* frida_customRecentPostsWidget Class */
class frida_customRecentPostsWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customRecentPostsWidget',
			'Frida Widget: Recent Posts'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		$defaults = array( 'name' => 'Latest Posts', 'count' => 5, 'date' => 'on', 'recent' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px" /></p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['recent'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'recent' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'recent' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'recent' ) ); ?>">Recent Posts</label>
        <br><em>Uncheck for "Random Posts".</em>
		</p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'Latest Posts';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];
		$instance['recent'] = $new_instance['recent'];

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		extract( $args );

		echo wp_kses_post( $before_widget ); //Widget starts to print information

		$defaults = array( 'name' => 'Latest Posts', 'count' => 5, 'date' => 'on', 'recent' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';
		$recent = $instance['recent'] ? 'true' : 'false';

		if ( !empty( $name ) ) {

			echo wp_kses_post( $before_title ) . esc_attr( $name ) . wp_kses_post( $after_title );

			/* function */

			if ( $recent == 'true' ) {

				$loop_args = array(

					'showposts' => esc_attr( $count ),
					'ignore_sticky_posts' => 1

				);

			} else {

				$loop_args = array(

					'showposts' => esc_attr( $count ),
					'orderby' => 'rand',
					'ignore_sticky_posts' => 1

				);

			}

			$rPosts = new WP_Query( $loop_args );

			while ( $rPosts->have_posts() ) : $rPosts->the_post();

			?>

				<div class="recent-post-item">
                	<?php if ( has_post_thumbnail() ) { ?><div class="recent-post-img"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail( 'recent-thumbnails' ); ?></a></div><?php } ?>
					<div class="recent-post-hdr">
                    	<a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a><br />
                    	<?php if ( $date == 'true' ) { ?><span class="recent-post-date"><?php echo get_the_date(); ?></span><?php } ?>
					</div>
				</div>

			<?php endwhile;

			wp_reset_postdata();

			/* */

		}

		echo wp_kses_post( $after_widget ); //Widget ends printing information

	}

}
/* */

/* frida_customRecentCommentsWidget Class */
class frida_customRecentCommentsWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customRecentCommentsWidget',
			'Frida Widget: Recent Comments'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		$defaults = array( 'name' => 'Latest Comments', 'count' => 5, 'avatar' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px" /></p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['avatar'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'avatar' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'avatar' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'avatar' ) ); ?>">Display avatar</label>
		</p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'Latest Comments';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['avatar'] = $new_instance['avatar'];

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		extract( $args );

		echo wp_kses_post( $before_widget ); //Widget starts to print information

		$defaults = array( 'name' => 'Latest Comments', 'count' => 5, 'avatar' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		echo '<div class="recent-comments">';

		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$avatar = $instance['avatar'] ? 'true' : 'false';

		if ( !empty( $name ) ) {

			echo wp_kses_post( $before_title ) . esc_attr( $name ) . wp_kses_post( $after_title );

			/* function */

			if ( $avatar == 'true' ) {

				$comment_len = 30;

			} else {

				$comment_len = 40;

			}

			$avatar_size = 44;

			$approvedCounter = 0;

			$comments_query = new WP_Comment_Query();
			$comments = $comments_query->query( array( 'number' => 50 ) );
			$comm = '';

			if ( $comments ) : foreach( $comments as $comment ) :

				if ( $comment->comment_approved == '1' && $approvedCounter < $count && !post_password_required( $comment->comment_post_ID ) ) {

					$approvedCounter += 1;

					$link = get_permalink( $comment->comment_post_ID ) . '#comment-' . esc_attr( $comment->comment_ID ); ?>

					<div class="recent-comment-item">

						<?php if ( $avatar == 'true' && get_option( 'show_avatars' ) ) { ?><div class="recent-comment-img"><a href="<?php echo esc_url ( $link ); ?>"><?php echo get_avatar( $comment->comment_author_email, $avatar_size ); ?></a></div><?php } ?>

						<div class="recent-comment-hdr">
							<a href="<?php echo esc_url( $link ); ?>"><?php echo strip_tags( substr( apply_filters( 'get_comment_text', $comment->comment_content ), 0, $comment_len ) ); ?>...</a><br />
							<span class="recent-comment-date"><?php echo get_comment_author( $comment->comment_ID ); ?></span>
						</div>

					</div>

				<?php } endforeach; else :

				$comm .= '<div style="padding-bottom: 40px;">'. esc_attr( get_theme_mod( 'brnhmbx_tra_NoComment', 'No comments' ) ) . '.</div>';
				echo wp_kses_post( $comm );

			endif;

			if ($comments && $approvedCounter == 0) {

				$comm .= '<div style="padding-bottom: 40px;">'. esc_attr( get_theme_mod( 'brnhmbx_tra_NoComment', 'No comments' ) ) . '.</div>';
				echo wp_kses_post( $comm );

			}

			/* */

		}

		echo '</div>';

		echo wp_kses_post( $after_widget ); //Widget ends printing information

	}

}
/* */

/* frida_customEmptySpaceWidget Class */
class frida_customEmptySpaceWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customEmptySpaceWidget',
			'Frida Widget: Empty Space'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		$defaults = array( 'count' => 40 );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

        <p>Height: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px" /></p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '40';

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		extract( $args );

		$defaults = array( 'count' => 40 );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$count = apply_filters( 'widget_title', $instance['count'] );

		if ( !empty( $count ) ) {

			if ( $id == 'brnhmbx_footer_widgets' ) {

				$fw_col_number = '';
				if ( !get_theme_mod( 'brnhmbx_use3ColFooter', 1 ) ) { $fw_col_number = '-col2'; }
				echo '<div class="widget-item-footer-outer' . esc_attr( $fw_col_number ) . '">';

			}

			/* function */

			?>

			<div style="height: <?php echo esc_attr( $count ); ?>px;"></div>

            <?php

			/* */

			if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }

		}

	}

}
/* */

/* frida_customImageWidget Class */
class frida_customImageWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customImageWidget',
			'Frida Widget: Image'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		/* Since v.1.4 */
		// Text, Text Color, Height and Background Color options added.
		/* */

		$defaults = array( 'name' => '', 'text' => '', 'path' => '', 'link' => '', 'target' => 'off', 'text_color' => '#FFF', 'background_color' => '#1d7791', 'height' => '150' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

        <script type='text/javascript'>

            jQuery( document ).ready( function($) {

                $('.iw-color-picker').wpColorPicker( {

		            defaultColor: '#1d7791',
					change: _.throttle( function() { $('.iw-color-picker').trigger( 'change' ) }, 3000),

				} );

				 $('.iwt-color-picker').wpColorPicker( {

		            defaultColor: '#FFF',
					change: _.throttle( function() { $('.iwt-color-picker').trigger( 'change' ) }, 3000),

				} );

            } );

        </script>

        <p>Image Path: <input name="<?php echo esc_attr( $this->get_field_name( 'path' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['path'] ); ?>" style="width: 100%;" /></p>
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Text: <textarea name="<?php echo esc_attr( $this->get_field_name( 'text' ) ); ?>" rows="3" style="width: 100%; resize: none;"><?php echo esc_attr( $instance['text'] ); ?></textarea></p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'text_color' ) ); ?>">Title/Text Color:</label>
		<br />
		<input class="iwt-color-picker" type="text" id="<?php echo esc_attr( $this->get_field_id( 'text_color' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'text_color' ) ); ?>" value="<?php echo esc_attr( $instance['text_color'] ); ?>" />
        </p>
		<p>Link: <input name="<?php echo esc_attr( $this->get_field_name( 'link' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['link'] ); ?>" style="width: 100%;" /></p>
        <p>
		<input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['target'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'target' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>">Open in new window</label>
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'background_color' ) ); ?>">Background Color:<br /><em>Only used if "Image Path" is blank.</em></label>
		<br />
		<input class="iw-color-picker" type="text" id="<?php echo esc_attr( $this->get_field_id( 'background_color' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'background_color' ) ); ?>" value="<?php echo esc_attr( $instance['background_color'] ); ?>" />
        </p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>">Height (<em>Only used if "Image Path" is blank</em>) :</label>
		<input id="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'height' ) ); ?>" size="3" value="<?php echo esc_attr( $instance['height'] ); ?>" style="width: 50px;" />
		</p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

	    $instance['name'] = $new_instance['name'];
		$instance['text'] = $new_instance['text'];
		$instance['path'] = $new_instance['path'];
		$instance['link'] = $new_instance['link'];
		$instance['target'] = $new_instance['target'];
		$instance['text_color'] = $new_instance['text_color'];
		$instance['background_color'] = $new_instance['background_color'];
		$instance['height'] = $new_instance['height'];

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		extract( $args );

		if ( $id == 'brnhmbx_footer_widgets' ) {

			$fw_col_number = '';
			if ( !get_theme_mod( 'brnhmbx_use3ColFooter', 1 ) ) { $fw_col_number = '-col2'; }
			echo '<div class="widget-item-footer-outer' . esc_attr( $fw_col_number ) . '">';

		}

		$defaults = array( 'name' => '', 'text' => '', 'path' => '', 'link' => '', 'target' => 'off', 'text_color' => '#FFF', 'background_color' => '#1d7791', 'height' => '150' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$name = apply_filters( 'widget_title', $instance['name'] );
		$text = $instance['text'];
		$path = $instance['path'];
		$link = $instance['link'];
		$target = $instance['target'] ? 'true' : 'false';
		$text_color = $instance['text_color'];
		$background_color = $instance['background_color'];
		$height = $instance['height'];

		/* function */

		?>

		<div class="image-widget-wrapper"><?php if ( $link != '' ) { echo '<a href="' . esc_attr( $link ) . '" target="'; if ( $target == 'true' ) { echo '_blank'; } else { echo '_self'; } echo '">'; } ?>

        	<?php if ( !empty( $path ) ) { ?>

				<img alt="img-alt" src="<?php echo esc_attr( $path ); ?>" />

            <?php } ?>

			<div class="image-widget-content">
				<div class="image-widget-inner" <?php if ( empty( $path ) ) { echo 'style="background-color: ' . esc_attr( $background_color ) . '; height: ' . esc_attr( $height ) . 'px;"'; } ?>>
					<div class="image-widget-text" <?php echo 'style="color: ' . esc_attr( $text_color ) . ';"' ?>>
						<div class="fs26 source-serif <?php if ( !empty( $name ) && !empty( $text ) ) { echo 'image-widget-title'; } ?>"><?php echo esc_attr( $name ); ?></div>
						<div class="fs14 noto-serif image-widget-teaser"><?php echo esc_attr( $text ); ?></div>
					</div>
				</div>
			</div>

		<?php if ( $link != '' ) { echo '</a>'; } ?></div>

		<?php

		/* */

		if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }

	}

}
/* */

/* frida_customFacebookFindUsWidget Class */
class frida_customFacebookFindUsWidget extends WP_Widget {

	function __construct() {
		parent::__construct(

			'frida_customFacebookFindUsWidget',
			'Frida Widget: Find us on Facebook'

		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.
	public function form( $instance ) {

		$defaults = array( 'page' => 'Burnhambox', 'height' => '400', 'faces' => 'on', 'posts' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		?>

		<p>Facebook page username: <input name="<?php echo esc_attr( $this->get_field_name( 'page' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['page'] ); ?>" style="width: 100%;" /></p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>">Height <em>(min. 70)</em> :</label>
		<input id="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'height' ) ); ?>" size="3" value="<?php echo esc_attr( $instance['height'] ); ?>" style="width: 50px;" />
		</p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['faces'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'faces' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'faces' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'faces' ) ); ?>">Show Friend's Faces <em>("Height" value must be at least 215.)</em></label>
		</p>

        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['posts'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'posts' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'posts' ) ); ?>" />
		<label for="<?php echo esc_attr( $this->get_field_id( 'posts' ) ); ?>">Show Page Posts <em>("Height" value must be at least 300.)</em></label>
		</p>

		<?php

	}

	// Update the new values in database
	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['page'] = ( !empty( $new_instance['page'] ) ) ? strip_tags( $new_instance['page'] ) : 'Burnhambox';
		$instance['height'] = ( !empty( $new_instance['height'] ) ) ? strip_tags( $new_instance['height'] ) : '400';
		$instance['faces'] = $new_instance['faces'];
		$instance['posts'] = $new_instance['posts'];

		return $instance;

	}

	//Display the stored widget information in webpage.
	function widget( $args, $instance ) {

		global $id;

		extract( $args );

		echo wp_kses_post( $before_widget ); //Widget starts to print information

		$defaults = array( 'page' => 'Burnhambox', 'height' => '400', 'faces' => 'on', 'posts' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );

		$page = apply_filters( 'widget_title', $instance['page'] );
		$height = $instance['height'];
		$faces = $instance['faces'] ? 'true' : 'false';
		$posts = $instance['posts'] ? 'true' : 'false';

		if ( !empty( $page ) ) {

			/* function */

			?>

			<div id="fb-root"></div>
			<script>(function(d, s, id) {
              var js, fjs = d.getElementsByTagName(s)[0];
              if (d.getElementById(id)) return;
              js = d.createElement(s); js.id = id;
			  <?php
			  $facebook_sdk_language = '';
			  if ( get_theme_mod( 'brnhmbx_tra_Lang' ) ) { $facebook_sdk_language = esc_attr( get_theme_mod( 'brnhmbx_tra_Lang' ) ); } else { $facebook_sdk_language = get_bloginfo( 'language' ); }
			  ?>
			  js.src = "//connect.facebook.net/" + "<?php echo str_replace( '-', '_', $facebook_sdk_language ); ?>" + "/sdk.js#xfbml=1&version=v2.4";
              fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));</script>

            <div class="fb-page" data-href="https://www.facebook.com/<?php echo esc_attr( $page ); ?>" data-width="260" data-height="<?php echo esc_attr( $height ); ?>" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="<?php if ( $faces == 'true' ) { echo 'true'; } else { echo 'false'; } ?>" data-show-posts="<?php if ( $posts == 'true' ) { echo 'true'; } else { echo 'false'; } ?>"><div class="fb-xfbml-parse-ignore"></div></div>

            <?php

			/* */

			echo wp_kses_post( $after_widget );

		}

	}

}
/* */

if ( !function_exists( 'frida_widgets_register' ) ) {
	function frida_widgets_register() {

		// Register Widgets
		if ( class_exists( 'frida_customcustomCatPostsWidget' ) ) { register_widget( 'frida_customcustomCatPostsWidget' ); }
		if ( class_exists( 'frida_customRecentPostsWidget' ) ) { register_widget( 'frida_customRecentPostsWidget' ); }
		if ( class_exists( 'frida_customPopularPostsWidget' ) ) { register_widget( 'frida_customPopularPostsWidget' ); }
		if ( class_exists( 'frida_customRecentCommentsWidget' ) ) { register_widget( 'frida_customRecentCommentsWidget' ); }
		if ( class_exists( 'frida_customEmptySpaceWidget' ) ) { register_widget( 'frida_customEmptySpaceWidget' ); }
		if ( class_exists( 'frida_customImageWidget' ) ) { register_widget( 'frida_customImageWidget' ); }
		if ( class_exists( 'frida_customFacebookFindUsWidget' ) ) { register_widget( 'frida_customFacebookFindUsWidget' ); }

	}
}
add_action( 'widgets_init', 'frida_widgets_register' );

?>
